header {
  background: #FFF;
  padding: 20px;
  box-shadow: 0 2px 4px rgb(0 0 0 / 8%);
  position: relative;
  z-index: 44;
}

.search {
  border: 2px solid #212121;
  border-radius: 6px;
  font-size: 15px;
  padding: 0 20px;
  width: 600px;
}

.searchIcon {
  font-size: 22px;
  margin-right: 15px;
}

.search input {
  padding: 15px;
  width: 100%;
  font-size: 17px;
}

.card {
  position: relative;
  cursor: pointer;
}

.cardIcon {
  font-size: 25px;
}

.card span {
  position: absolute;
  top: -10px;
  right: -10px;
  width: 18px;
  height: 18px;
  background-color: #000;
  color: #FFF;
  font-size: 10px;
  border-radius: 50%;
}

/* card item */
.overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 90vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.4);
  z-index: 77;
}

.cartItem {
  position: fixed;
  top: 0;
  right: 0;
  width: 450px;
  height: 100vh;
  padding: 20px;
  background: #FFF;
  box-shadow: 0 2px 4px rgb(0 0 0 / 8%);
  z-index: 88;
}

.cardHide {
  display: none;
}

.cartItem .title .icon {
  font-size: 25px;
}

.emptyCard {
  text-align: center;
}

.emptyCard img {
  width: 70%;
  margin: auto;
  margin-bottom: 20px;
}

.checkOut {
  position: absolute;
  bottom: 0;
  left: 0;
  margin: 30px;
  width: 88%;
}

.checkOut button {
  padding: 20px;
  background: #212121;
  width: 100%;
  color: #FFF;
  border-radius: 10px;
  font-size: 17px;
}

.checkOut button:disabled {
  background: #7A7A7A;
  cursor: none;
}

.checkOut button span {
  margin-right: 80px;
}

.checkOut button label {
  border-left: 1px solid #FFF;
  padding-left: 10px;
}

/* cartContent */
.cartContent {
  margin: 40px 0;
  display: flex;
}

.cartContent .img {
  width: 105px;
  height: 105px;
  border-radius: 5px;
  position: relative;
  margin-right: 20px;
}

.cartContent .img::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 105px;
  height: 105px;
  background: rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  opacity: 0;
  transition: 0.5s;
}

.cartContent .remove {
  position: absolute;
  top: 40%;
  left: 40%;
  font-size: 17px;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  background: #FFF;
  z-index: 1;
  cursor: pointer;
  opacity: 0;
  transition: 0.5s;
}

.cartContent:hover .img::after,
.cartContent:hover .remove {
  opacity: 1;
  cursor: pointer;
}

.cartContent img {
  width: 100%;
  height: 100%;
}

.cartContent .details label {
  display: block;
  margin: 10px 0;
}

.cartContent .details .qty {
  background-color: #212121;
  border-radius: 5px;
  box-shadow: 0 2px 4px rgb(0 0 0 / 8%);
}

.cartContent .details button {
  height: 35px;
  width: 35px;
  background-color: #212121;
  color: #FFF;
  transition: 0.5s;
}
.cartContent .price {
  margin-top: 10px;
  display: flex;
  justify-content: space-between;
}

.cartContent .price .num {
  font-size: 17px;
}

.plus {
  border-radius: 5px 0 0 5px;
}

.minus {
  border-radius: 0 5px 5px 0;
}

.cartContent .details .minus:hover,
.cartContent .details .plus:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

.cartContent .price .priceTitle {
  font-size: 15px;
}

/* User */

.profile {
  margin-left: 30px;
  cursor: pointer;
}

.profile .image {
  display: flex;
  padding-bottom: 20px;
}

.profile .image img {
  margin-right: 20px;
}

.profile button {
  font-size: 17px;
  font-weight: 500;
}

.profile img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  object-fit: cover;
}

.openProfile {
  color: #000;
  box-shadow: 0 2px 4px rgb(0 0 0 / 8%);
  position: absolute;
  top: 80px;
  right: 10px;
  width: 250px;
  background: #FFF;
}

.openProfile .box {
  display: flex;
  align-items: center;
  width: 100%;
  margin-top: 10px;
  padding: 5px;
  transition: 0.5s;
}

.openProfile .icon {
  font-size: 20px;
  margin-right: 20px;
}

.openProfile h4 {
  font-size: 15px;
  font-weight: 500;
}
.openProfile button:hover {
  background: rgba(147, 75, 255, 0.075);
}

header.active {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  box-shadow: 0 0 4px 0 rgb(115 115 115 / 20%);
  z-index: 9999;
  background: #FFF;
}

.profile a {
  text-decoration: none;
}

@media screen and (max-width: 768px) {
  header .search {
    display: none;
  }
}
